#include "stm32l0xx_hal.h"
#include "lt8920_test.h"
#include "lt8920.h"
#include "stm32l0xx_nucleo.h"
#include <stdio.h>

LT8920 lt;

uint16_t wifi_Channels[] = {2412, 2417, 2422, 2427, 2432, 2437, 2442, 2447,
                            2452, 2457, 2462, 2467, 2472, 2484};
 
uint16_t signals[32];
char sbuf[64]; 
 
 
//
void lt_test_1(void)
{
    lt.begin();
    lt.setCurrentControl(15, 15);  
	//lt.setDataRate(LT8920::LT8920_1MBPS); 
	lt.setChannel(0x06);
}

//
void lt_scanner_test(void)
{
    printf("\033[2J"); // Очистить
    printf("\033[H");  // Переместить курсор в левый верхний угол
    
    for(int i = 0; i < sizeof(wifi_Channels)/sizeof(uint16_t); i++)
    {  
        lt.scanRSSI(&signals[i], wifi_Channels[i]-2402, 1); 
    }
    
    for(int i = 0; i < sizeof(wifi_Channels)/sizeof(uint16_t); i++)
    {
        sprintf(sbuf, "[%02d] %d = %04x ", i+1, wifi_Channels[i], signals[i]);
        printf(sbuf);    
        
        for(int j =0 ; j < signals[i]/2; j++)
        {
            printf("#");
        }
        printf("\r\n");
    }
    HAL_Delay(250);
}